### Constructor

# EvinceDocument Attachment new

#### Declaration [src]

    EvAttachment*
    ev_attachment_new (
      const gchar* name,
      const gchar* description,
      GTime mtime,
      GTime ctime,
      gsize size,
      gpointer data
    )

#### Description

No description available.

#### Parameters

`name` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`description` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`mtime` | `GTime`
| No description available.
`ctime` | `GTime`
| No description available.
`size` | `gsize`
| No description available.
`data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `EvAttachment`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.